.footer {
    position: relative;
    width: 100%;
    max-width: 100%;
    background: #024466;
    color: #fff;
}

.footer__top, .footer__bottom-content {
    width: 100%;
    max-width: 1400px;
    display: flex;
    margin: 0 auto;
}

.footer__top {
	flex-direction: column;
    padding: 64px 20px 32px;
	gap: 32px;
}

.footer__columns {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
}

.footer__column-title {
    font-size: var(--step-2);
    color: var(--pp-yellow);
}

.footer__column-list {
    list-style: none;
    margin: 0;
}

.footer__column-link {
    font-size: var(--step-0);
    color: #fff;
}

.footer__column-link:is(:hover, :focus) {
    text-decoration: underline;
}

.footer__powered-by {
	width: fit-content;
    display: flex;
    align-items: center;
    font-size: var(--step--1);
    color: #fff;
    gap: 6px;
    opacity: 0.5;
    transition: opacity 0.25s ease-in-out;
}

.footer__powered-by:is(:hover, :focus) {
    opacity: 1;
}

.footer__bottom {
    width: 100%;
    padding: 20px 0;
    background: var(--pp-blue);
    border-top: 2px solid var(--pp-yellow);
}

.footer__bottom-link {
    color: #fff;
}

.footer__bottom-link:is(:hover, :focus) {
    text-decoration: underline;
}

.footer__bottom-content {
    display: flex;
    justify-content: flex-end;
    align-items: center;
	padding: 0 20px;
}

.footer__bottom-logo {
	margin-right: auto;
}

.footer__bottom__links {
	display: flex;
	align-items: center;
	margin: 0;
    list-style: none;
}

.footer__bottom-link {
	height: fit-content;
    padding: 0 8px;
    border-right: 2px solid #fff;
    margin: 0;
    line-height: 1;
}

.footer__bottom-link--social {
	padding: 0 0 0 12px;
	border: none;
}

.footer__bottom-link a {
	color: #fff;
	font-weight: 300;
	font-size: var(--step--1);
}

.footer__icon {
    display: inline-block;
    margin-right: 5px;
    padding: 0;
}
	
.footer__copyright {
	max-width: 1400px;
	margin: 0 auto;
	padding: 0 20px;
	text-align: right;
}


@media only screen and (max-width: 992px) {
	.footer__top { 
		padding-top: 32px;	
	}
	
	.footer__columns {
		row-gap: 16px;
	}
	
	.footer__column {
		width: 48%;
		text-align: center;
	}
	
	.footer__bottom-content {
		flex-direction: column;
	}
	
	.footer__bottom-logo {
		margin: 0;
	}
	
	.footer__bottom__links {
        flex-wrap: wrap;
        padding-bottom: 16px;
        align-items: center;
        justify-content: center;
        row-gap: 8px;
	}
	
	.footer__copyright { 
		text-align: center;
	}
}

@media only screen and (max-width: 576px) {
	.footer__column {
		width: 100%;
	}	
}